# Access control

The table below outlines the access control permissions for the **pToken** contract, specifying which roles or entities are authorized to execute each function.

| **Access**              | **Role**                            | **Function name**          | **Description**                                                           |
| ----------------------- | ----------------------------------- | -------------------------- | ------------------------------------------------------------------------- |
| Protocol Owner          | \_OWNER\_WITHDRAWER\_PERMISSION     | reduceReservesOwner        | Decreases the amount of funds held in reserves for protocol owner.        |
| Governor (via Timelock) | \_CONFIGURATOR\_PERMISSION          | configureInterestRateModel | set new IRM params                                                        |
| Governor (via Timelock) | \_RESERVE\_WITHDRAWER\_PERMISSION   | sweepToken                 | Withdraws ERC20 tokens from the pToken that are not the underlying asset. |
| Governor (via Timelock) | \_RESERVE\_MANAGER\_PERMISSION      | setReserveFactor           | Adjusts the percentage of interest allocated to reserves.                 |
| Governor (via Timelock) | \_RESERVE\_MANAGER\_PERMISSION      | setProtocolSeizeShare      | set new protocol seize share for liquidation                              |
| Governor (via Timelock) | \_RESERVE\_WITHDRAWER\_PERMISSION   | reduceReservesConfigurator | Decreases the amount of funds held in reserves for governor               |
| Emergency Guardian      | \_EMERGENCY\_WITHDRAWER\_PERMISSION | reduceReservesEmergency    | Decreases the amount of funds held in total reserves for protocol         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pike.finance/developer-docs/smart-contracts/ptokens/access-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
